<script setup lang="ts">
import LogicFlowDesigner from './flow/index.vue';

defineOptions({
  name: 'CreateStep3',
});

const modelData = defineModel<any>();

function handleSave(bpmnXml: string) {
  // console.log('handleSave called with bpmnXml:', bpmnXml);
  modelData.value.bpmnXml = bpmnXml;
}
</script>

<template>
  <LogicFlowDesigner :flow-id="modelData.key" :flow-name="modelData.name" :xml-string="modelData.bpmnXmlBase64" @save="handleSave" />
</template>
